Subject: Re: [PATCH v6 00/17] hook.[ch]: new library to run hooks + simple hook conversion

From: Emily Shaffer <[email-masked]>
Date: Fri, 7 Jan 2022 14:01:17 -0800

On Fri, Jan 07, 2022 at 01:48:16PM -0800, Emily Shaffer wrote:
> 
> On Wed, Dec 22, 2021 at 04:59:26AM +0100, Ævar Arnfjörð Bjarmason wrote:
> > 
> > A trivial update to v5 to rebase it past conflicts with topics that
> > recently landed on "master". For v5 see:
> > https://lore.kernel.org/git/[email-masked]/
> 
> One note, which is not so useful for this time, but might be useful in
> the future:
> 
> It seems that in order to understand the purpose of this series and what
> it's building for, you need to be me or be you (and therefore be aware
> of the history of the series), or you need to go back through the
> breadcrumbs and eventually read my huge config-based-hooks 30-patch
> series (or at least the cover letter). Which sort of defeats the purpose
> of splitting the series up into smaller reviewable chunks.
> 
> Next time it might be nice to add a quick summary of the whole goal,
> which part of that goal this series is, and a link to the longer cover
> letter/older series? But again, for this time, I think it is probably
> too late, especially since this series looked pretty good to me.
> 
> Per-patch reviews to follow momentarily.

Left a couple nits here and there, but it all looks fine for me. Some
comments that I thought I had turned out to be invalid once I read the
series a second time... ;)

For all patches, but especially Ævar's,
Reviewed-by: Emily Shaffer <[email-masked]>

I think that's stronger than an ACK for mine, but either way, for my
own patches:
Acked-by: Emily Shaffer <[email-masked]>

Thanks. I'd be excited to see this go in.

 - Emily